![Predator's screensaver](assets/preview.png)

<p align="center">
  <img src="https://img.shields.io/badge/platform-osx-brightgreen.svg" />
  <img src="https://img.shields.io/github/release/vpeschenkov/Predator.svg" />
  <img src="https://img.shields.io/github/release-date/vpeschenkov/Predator.svg" />
  <img src="https://img.shields.io/github/downloads/vpeschenkov/Predator/total.svg" />
</p>

# Predator

**Predator** is a minimalistic screensaver for macOS based on predator's countdown timer. Don't worry your mac doesn't blow 😄. It is completely open source, feel free to contribute!

## Compatibility

Requires OS X El Capitan 10.11 and newer

## Installation

1. [Click here to download the latest release](https://github.com/vpeschenkov/Predator/releases/download/1.0.5/Predator.saver.zip)
2. Open **Predator.saver** (double click)
3. `"Predator.saver" can't be opened because it is from an unidentified developer` will appear, press `OK`
4. Open `Preferences`
5. Select `Security & Privacy`
6. Select `General`
7. On the bottom side, select `Open Anyway`

If you see an error message saying "This app is damaged and can't be opened, you should move it to the trash", download the file with Safari, to prevent macOS Gatekeeper from throwing that error. Note that some outdated unzip software may cause that issue too.

**Important**: If you haven't quit System Preferences before installation and were upgrading from a previous version, I strongly recommend you quit the application after installation, then reopen it, as updated Swift screensavers aren't loaded correctly in an active System Preferences session.

## Features

- Support 12-h and 24-h clock 
- Select which color you want to see
- Reverse shapes filling

<p align="center">
  <img src="assets/settings.png">
</p>

## Predator’s clock rules

The rules are pretty simple, and you wouldn’t spend much time to learn them.

### 24-hour clock rules

#### 1 digits (0-2)

| 0                                                                     | 1                                                                     | 2                                                                      |
|-----------------------------------------------------------------------|-----------------------------------------------------------------------|------------------------------------------------------------------------|
| <img src="assets/24-h%20clock/1st%20digit/24h-1-0.png" width=90> | <img src="assets/24-h%20clock/1st%20digit/24h-1-1.png" width=90> | <img src="assets/24-h%20clock/1st%20digit/24h-1-2.png" width=90>  |

#### 3 digits (0-5)

| 0                                                                     | 1                                                                     | 2                                                                     | 3                                                                     | 4                                                                     |
|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|
| <img src="assets/24-h%20clock/3rd%20digit/24h-3-0.png" width=90> | <img src="assets/24-h%20clock/3rd%20digit/24h-3-1.png" width=90> | <img src="assets/24-h%20clock/3rd%20digit/24h-3-2.png" width=90> | <img src="assets/24-h%20clock/3rd%20digit/24h-3-3.png" width=90> | <img src="assets/24-h%20clock/3rd%20digit/24h-3-4.png" width=90> |

| 5                                                                     |
|-----------------------------------------------------------------------|
| <img src="assets/24-h%20clock/3rd%20digit/24h-3-5.png" width=90> |


#### 2 & 4 digits (0-9)

| 0                                                                                 | 1                                                                                 | 2                                                                                 | 3                                                                                 | 4                                                                                 |
|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|
| <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-0.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-1.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-2.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-3.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-4.png" width=90> |

| 5                                                                                 | 6                                                                                 | 7                                                                                 | 8                                                                                 | 9                                                                                 |
|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|
| <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-5.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-6.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-7.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-8.png" width=90> | <img src="assets/24-h%20clock/2nd%20&%204th%20digits/24h-24-9.png" width=90> |

### 12-hour clock rules

#### 1 digits (0-1)

| 0                                                                     | 1                                                                     |
|-----------------------------------------------------------------------|-----------------------------------------------------------------------|
| <img src="assets/12-h%20clock/1st%20digit/12h-1-0.png" width=90> | <img src="assets/12-h%20clock/1st%20digit/12h-1-1.png" width=90> |

#### 3 digits (0-5)

| 0                                                                     | 1                                                                     | 2                                                                     | 3                                                                     | 4                                                                     |
|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|-----------------------------------------------------------------------|
| <img src="assets/12-h%20clock/3rd%20digit/12h-3-0.png" width=90> | <img src="assets/12-h%20clock/3rd%20digit/12h-3-1.png" width=90> | <img src="assets/12-h%20clock/3rd%20digit/12h-3-2.png" width=90> | <img src="assets/12-h%20clock/3rd%20digit/12h-3-3.png" width=90> | <img src="assets/12-h%20clock/3rd%20digit/12h-3-4.png" width=90> |

| 5                                                                     |
|-----------------------------------------------------------------------|
| <img src="assets/12-h%20clock/3rd%20digit/12h-3-5.png" width=90> |

#### 2 & 4 digits (0-9)

| 0                                                                                 | 1                                                                                 | 2                                                                                 | 3                                                                                 | 4                                                                                 |
|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|
| <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-0.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-1.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-2.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-3.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-4.png" width=90> |

| 5                                                                                 | 6                                                                                 | 7                                                                                 | 8                                                                                 | 9                                                                                 |
|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|-----------------------------------------------------------------------------------|
| <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-5.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-6.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-7.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-8.png" width=90> | <img src="assets/12-h%20clock/2nd%20&%204th%20digits/12h-24-9.png" width=90> |

#### AM/PM

| AM     | PM     |
|--------|--------|
| ![][AM]| ![][PM]|

## Uninstallation 

- Right-click on Predator in System Preferences and select `Delete Predator`, or
- Delete `PredatorClock.saver` either in `/Library/Screen Savers` or `/Users/USERNAME/Library/Screen Savers`.

## Contributing

- If you **need help** or you'd like to **ask a general question**, open an issue.
- If you **found a bug**, open an issue.
- If you **have a feature request**, open an issue.
- If you **want to contribute**, submit a pull request.

## Author

Victor Peschenkov, v.peschenkov@gmail.com

## License

`PredatorClock` is available under the Apache 2.0 license. See the [LICENSE](LICENSE) file for more info.

[AM]: assets/AM:PM/AM.png
[PM]: assets/AM:PM/PM.png
